package com.hwrj.cloud.admin.service;

import com.hwrj.cloud.admin.dto.UmsMemberOriginParam;
import com.hwrj.cloud.admin.dto.param.MemberWebPageParam;
import com.hwrj.cloud.admin.dto.param.SelectVo;
import com.hwrj.cloud.admin.excelEntity.UmsMemberOriginExcel;

import java.util.List;

/**
 * @className:
 * @description:
 * @author: lym
 * @date: 2020/9/5 11:18
 */
public interface UmsMemberOriginService {
    int batchSave(List<UmsMemberOriginExcel> list);

    List<UmsMemberOriginParam> list(UmsMemberOriginParam origin);

    List<UmsMemberOriginParam> list(MemberWebPageParam origin);


    int save(UmsMemberOriginParam origin);

    int update(UmsMemberOriginParam origin);

    UmsMemberOriginParam findById(long id);

    int delete(long id);

    List<SelectVo> listSelect(long compId);
}
